### GET /tt/user/followings Source: https://ensembledata.com/apis/openapi.json

Fetch followings for a given user. Each request returns a chunk of 100 followings. See the `cursor` and `page_token` query parameters below for information on how to manage pagination (fetch more followings). Note: if the `secUid` doesn't exists, the cost is just 1 unit.

API Pricing (per request): 2 units

API usage examples

- secUid does not exist:
-> null returned.
Cost: 1 unit - secUid exists and has 40 followings:
-> 40 followings returned.
Cost: 2 units - secUid exists and has more than 100 followings:
-> 100 followings and cursor for next request returned.
Cost: 2 units
Try the API ```markdown ### Parameters - **id** (string, query, required): The id of the user. - **secUid** (string, query, required): The secondary id of the user. - **cursor** (integer, query, optional): Parameter to manually handle pagination. Each response contains a `nextCursor` which can be used to retrieve the next page of results by sending it as the next `cursor`. If the `nextCursor` is not present in the response, it means that there are no more results to retrieve. - **page_token** (string, query, optional): Secondary cursor to manage pagination (initially empty). The `page_token` for next request is returned by the previous response as the `nextPageToken`. This works in the same way as the `cursor` parameter. - **token** (string, query, required): Private token assigned to each client to access the APIs. ### Responses #### 200 - Successful Response #### 422 - Validation Error **HTTPValidationError** - **detail** (array (ValidationError)) Array items: - **loc** (array (union)) (required) - **msg** (string) (required) - **type** (string) (required) #### 491 - Token not found **HTTPStatusResponse** - **detail** (string) (required) #### 492 - Email not verified **HTTPStatusResponse** - **detail** (string) (required) #### 493 - Subscription expired **HTTPStatusResponse** - **detail** (string) (required) #### 495 - All daily units used **HTTPStatusResponse** - **detail** (string) (required) #### 500 - Something went wrong **HTTPStatusResponse** - **detail** (string) (required) ### Example Usage ```bash curl -X GET "https://ensembledata.com/apis//tt/user/followings?id=string&secUid=string&cursor=0&page_token=&token=string" ``` ``` -------------------------------- ### GET /customer/get-history Source: https://ensembledata.com/apis/openapi.json

This API allows our clients to check the number of units used in the last N days from today.

API Pricing (per request): 0 units

API usage examples

- Token does not exist:
-> Error code 491 returned.
Cost: 0 units - Token exists:
-> Units usage history returned.
Cost: 0 units
Try the API ```markdown ### Parameters - **days** (integer, query, required): Last N days for which units usage history has to be fetched - **token** (string, query, required): Private token assigned to each client to access the APIs. ### Responses #### 200 - Successful Response #### 422 - Validation Error **HTTPValidationError** - **detail** (array (ValidationError)) Array items: - **loc** (array (union)) (required) - **msg** (string) (required) - **type** (string) (required) #### 491 - Token not found **HTTPStatusResponse** - **detail** (string) (required) #### 500 - Something went wrong **HTTPStatusResponse** - **detail** (string) (required) ### Example Usage ```bash curl -X GET "https://ensembledata.com/apis//customer/get-history?days=0&token=string" ``` ``` -------------------------------- ### GET /tt/user/info-from-secuid Source: https://ensembledata.com/apis/openapi.json

Fetch user information and statistics from their secondary user ID. The data returned includes country, language, biography, profile picture, engagement statistics etc.

API Pricing (per request): 1 unit

API usage examples

- secUid does not exist:
-> null returned.
Cost: 1 unit - secUid exists:
-> info returned.
Cost: 1 unit
Try the API ```markdown ### Parameters - **secUid** (string, query, required): The secondary user ID to fetch info for. - **alternative_method** (boolean, query, optional): Use an alternative endpoint for fetching the data. If true, the returned JSON contains some additional information compared to the default method. - **token** (string, query, required): Private token assigned to each client to access the APIs. ### Responses #### 200 - Successful Response #### 422 - Validation Error **HTTPValidationError** - **detail** (array (ValidationError)) Array items: - **loc** (array (union)) (required) - **msg** (string) (required) - **type** (string) (required) #### 491 - Token not found **HTTPStatusResponse** - **detail** (string) (required) #### 492 - Email not verified **HTTPStatusResponse** - **detail** (string) (required) #### 493 - Subscription expired **HTTPStatusResponse** - **detail** (string) (required) #### 495 - All daily units used **HTTPStatusResponse** - **detail** (string) (required) #### 500 - Something went wrong **HTTPStatusResponse** - **detail** (string) (required) ### Example Usage ```bash curl -X GET "https://ensembledata.com/apis//tt/user/info-from-secuid?secUid=string&alternative_method=false&token=string" ``` ``` -------------------------------- ### GET /customer/get-used-units Source: https://ensembledata.com/apis/openapi.json

This API allows ours clients to check the number of units used on a certain date.

API Pricing (per request): 0 units

API usage examples

- Token does not exist:
-> Error code 491 returned.
Cost: 0 units - Token exists:
-> Units usage for date returned.
Cost: 0 units
Try the API ```markdown ### Parameters - **date** (string, query, required): Date for which units usage has to be fetched - **token** (string, query, required): Private token assigned to each client to access the APIs. ### Responses #### 200 - Successful Response #### 422 - Validation Error **HTTPValidationError** - **detail** (array (ValidationError)) Array items: - **loc** (array (union)) (required) - **msg** (string) (required) - **type** (string) (required) #### 491 - Token not found **HTTPStatusResponse** - **detail** (string) (required) #### 500 - Something went wrong **HTTPStatusResponse** - **detail** (string) (required) ### Example Usage ```bash curl -X GET "https://ensembledata.com/apis//customer/get-used-units?date=string&token=string" ``` ``` -------------------------------- ### GET /tt/user/info Source: https://ensembledata.com/apis/openapi.json

Fetch user information and statistics from their username. The data returned includes country, language, biography, profile picture, engagement statistics etc.

API Pricing (per request): 1 unit

API usage examples

- Username does not exist:
-> null returned.
Cost: 1 unit - Username exists:
-> info returned.
Cost: 1 unit
Try the API ```markdown ### Parameters - **username** (string, query, required): The username to fetch info for. - **token** (string, query, required): Private token assigned to each client to access the APIs. ### Responses #### 200 - Successful Response #### 422 - Validation Error **HTTPValidationError** - **detail** (array (ValidationError)) Array items: - **loc** (array (union)) (required) - **msg** (string) (required) - **type** (string) (required) #### 463 - Invalid username or user id **HTTPStatusResponse** - **detail** (string) (required) #### 491 - Token not found **HTTPStatusResponse** - **detail** (string) (required) #### 492 - Email not verified **HTTPStatusResponse** - **detail** (string) (required) #### 493 - Subscription expired **HTTPStatusResponse** - **detail** (string) (required) #### 495 - All daily units used **HTTPStatusResponse** - **detail** (string) (required) #### 500 - Something went wrong **HTTPStatusResponse** - **detail** (string) (required) ### Example Usage ```bash curl -X GET "https://ensembledata.com/apis//tt/user/info?username=string&token=string" ``` ``` -------------------------------- ### GET /youtube/channel/videos Source: https://ensembledata.com/apis/openapi.json

Fetch videos for a given channel from its ID (youtube.com/channel/UCX6OQ3DkcsbYNE6H8uQQuVA). Depth 1 returns approx. 25 videos, Depth N returns approx. 25 * N videos.

API Pricing (per request): #returned_videos / 10 units

API usage examples

- Depth 1:
-> 22 videos returned.
Cost: 3 units - Depth 5 but channel has only 20 videos:
-> 20 videos returned.
Cost: 2 units - Depth 50:
-> 100 videos returned.
Cost: 10 units - Depth 100:
-> 2000 videos returned.
Cost: 200 units
Try the API ```markdown ### Parameters - **browseId** (string, query, required): Channel ID. - **depth** (integer, query, required): Abstraction of the API pagination. Depth 1 returns X results, depth N returns N * X results. Note that the exact number of results per depth (X) may differ per endpoint. Please refer to the specific endpoint description for more information. - **token** (string, query, required): Private token assigned to each client to access the APIs. ### Responses #### 200 - Successful Response #### 422 - Validation Error **HTTPValidationError** - **detail** (array (ValidationError)) Array items: - **loc** (array (union)) (required) - **msg** (string) (required) - **type** (string) (required) #### 491 - Token not found **HTTPStatusResponse** - **detail** (string) (required) #### 492 - Email not verified **HTTPStatusResponse** - **detail** (string) (required) #### 493 - Subscription expired **HTTPStatusResponse** - **detail** (string) (required) #### 495 - All daily units used **HTTPStatusResponse** - **detail** (string) (required) #### 500 - Something went wrong **HTTPStatusResponse** - **detail** (string) (required) ### Example Usage ```bash curl -X GET "https://ensembledata.com/apis//youtube/channel/videos?browseId=string&depth=0&token=string" ``` ``` -------------------------------- ### GET /tt/post/comments Source: https://ensembledata.com/apis/openapi.json

Fetch comments for a given post. Each request returns a chunk of 30 comments. See the `cursor` query parameter below for information on how to manage pagination (fetch more comments).

API Pricing (per request): 1 unit

API usage examples

- Aweme ID does not exist:
-> null returned.
Cost: 1 unit - Aweme ID exists and has 20 comments:
-> 20 comments returned.
Cost: 1 unit - Aweme ID exists and has more than 30 comments:
-> 30 comments and cursor for next request returned.
Cost: 1 unit
Try the API ```markdown ### Parameters - **aweme_id** (string, query, required): The aweme ID of the post (post ID). - **cursor** (integer, query, optional): Parameter to manually handle pagination. Each response contains a `nextCursor` which can be used to retrieve the next page of results by sending it as the next `cursor`. If the `nextCursor` is not present in the response, it means that there are no more results to retrieve. - **token** (string, query, required): Private token assigned to each client to access the APIs. ### Responses #### 200 - Successful Response #### 422 - Validation Error **HTTPValidationError** - **detail** (array (ValidationError)) Array items: - **loc** (array (union)) (required) - **msg** (string) (required) - **type** (string) (required) #### 491 - Token not found **HTTPStatusResponse** - **detail** (string) (required) #### 492 - Email not verified **HTTPStatusResponse** - **detail** (string) (required) #### 493 - Subscription expired **HTTPStatusResponse** - **detail** (string) (required) #### 495 - All daily units used **HTTPStatusResponse** - **detail** (string) (required) #### 500 - Something went wrong **HTTPStatusResponse** - **detail** (string) (required) ### Example Usage ```bash curl -X GET "https://ensembledata.com/apis//tt/post/comments?aweme_id=string&cursor=0&token=string" ``` ``` -------------------------------- ### GET /snapchat/user/info Source: https://ensembledata.com/apis/openapi.json

Get information of a user.

API Pricing (per request): 3 units


Try the API ```markdown ### Parameters - **name** (string, query, required): Username. - **token** (string, query, required): Private token assigned to each client to access the APIs. ### Responses #### 200 - Successful Response #### 422 - Validation Error **HTTPValidationError** - **detail** (array (ValidationError)) Array items: - **loc** (array (union)) (required) - **msg** (string) (required) - **type** (string) (required) #### 491 - Token not found **HTTPStatusResponse** - **detail** (string) (required) #### 492 - Email not verified **HTTPStatusResponse** - **detail** (string) (required) #### 493 - Subscription expired **HTTPStatusResponse** - **detail** (string) (required) #### 495 - All daily units used **HTTPStatusResponse** - **detail** (string) (required) #### 500 - Something went wrong **HTTPStatusResponse** - **detail** (string) (required) ### Example Usage ```bash curl -X GET "https://ensembledata.com/apis//snapchat/user/info?name=string&token=string" ``` ``` -------------------------------- ### GET /youtube/channel/shorts Source: https://ensembledata.com/apis/openapi.json

Fetch Youtube Shorts for a given channel from its ID (youtube.com/channel/UCX6OQ3DkcsbYNE6H8uQQuVA). Depth 1 returns approx. 50 videos, Depth N returns approx. 50 * N videos.

API Pricing (per request): #returned_shorts / 10 units

API usage examples

- Depth 1:
-> 53 shorts returned.
Cost: 6 units - Depth 5 but channel only has 20 shorts:
-> 20 shorts returned.
Cost: 2 units - Depth 10:
-> 500 videos returned.
Cost: 50 units - Depth 50:
-> 2500 videos returned.
Cost: 250 units
Try the API ```markdown ### Parameters - **browseId** (string, query, required): Channel ID. - **depth** (integer, query, required): Abstraction of the API pagination. Depth 1 returns X results, depth N returns N * X results. Note that the exact number of results per depth (X) may differ per endpoint. Please refer to the specific endpoint description for more information. - **token** (string, query, required): Private token assigned to each client to access the APIs. ### Responses #### 200 - Successful Response #### 422 - Validation Error **HTTPValidationError** - **detail** (array (ValidationError)) Array items: - **loc** (array (union)) (required) - **msg** (string) (required) - **type** (string) (required) #### 491 - Token not found **HTTPStatusResponse** - **detail** (string) (required) #### 492 - Email not verified **HTTPStatusResponse** - **detail** (string) (required) #### 493 - Subscription expired **HTTPStatusResponse** - **detail** (string) (required) #### 495 - All daily units used **HTTPStatusResponse** - **detail** (string) (required) #### 500 - Something went wrong **HTTPStatusResponse** - **detail** (string) (required) ### Example Usage ```bash curl -X GET "https://ensembledata.com/apis//youtube/channel/shorts?browseId=string&depth=0&token=string" ``` ``` -------------------------------- ### GET /threads/user/info Source: https://ensembledata.com/apis/openapi.json

Get user detailed information using the user ID.

API Pricing (per request): 4 units


Try the API ```markdown ### Parameters - **id** (integer, query, required): User ID. - **token** (string, query, required): Private token assigned to each client to access the APIs. ### Responses #### 200 - Successful Response #### 422 - Validation Error **HTTPValidationError** - **detail** (array (ValidationError)) Array items: - **loc** (array (union)) (required) - **msg** (string) (required) - **type** (string) (required) #### 491 - Token not found **HTTPStatusResponse** - **detail** (string) (required) #### 492 - Email not verified **HTTPStatusResponse** - **detail** (string) (required) #### 493 - Subscription expired **HTTPStatusResponse** - **detail** (string) (required) #### 495 - All daily units used **HTTPStatusResponse** - **detail** (string) (required) #### 500 - Something went wrong **HTTPStatusResponse** - **detail** (string) (required) ### Example Usage ```bash curl -X GET "https://ensembledata.com/apis//threads/user/info?id=0&token=string" ``` ``` -------------------------------- ### GET /youtube/channel/streams Source: https://ensembledata.com/apis/openapi.json

Fetch Youtube Live Streams for a given channel from its ID (youtube.com/channel/UChBQgieUidXV1CmDxSdRm3g). Depth 1 returns approx. 30 videos, Depth N returns approx. 30 * N videos.

API Pricing (per request): #returned_streams / 10 units

API usage examples

- Depth 1:
-> 30 streams returned.
Cost: 3 units - Depth 5 but channel only has 20 streams:
-> 20 streams returned.
Cost: 2 units - Depth 10:
-> 300 streams returned.
Cost: 30 units
Try the API ```markdown ### Parameters - **browseId** (string, query, required): Channel ID. - **depth** (integer, query, required): Abstraction of the API pagination. Depth 1 returns X results, depth N returns N * X results. Note that the exact number of results per depth (X) may differ per endpoint. Please refer to the specific endpoint description for more information. - **token** (string, query, required): Private token assigned to each client to access the APIs. ### Responses #### 200 - Successful Response #### 422 - Validation Error **HTTPValidationError** - **detail** (array (ValidationError)) Array items: - **loc** (array (union)) (required) - **msg** (string) (required) - **type** (string) (required) #### 491 - Token not found **HTTPStatusResponse** - **detail** (string) (required) #### 492 - Email not verified **HTTPStatusResponse** - **detail** (string) (required) #### 493 - Subscription expired **HTTPStatusResponse** - **detail** (string) (required) #### 495 - All daily units used **HTTPStatusResponse** - **detail** (string) (required) #### 500 - Something went wrong **HTTPStatusResponse** - **detail** (string) (required) ### Example Usage ```bash curl -X GET "https://ensembledata.com/apis//youtube/channel/streams?browseId=string&depth=0&token=string" ``` ``` -------------------------------- ### GET /threads/keyword/search Source: https://ensembledata.com/apis/openapi.json

Fetch posts related to a certain keyword. The posts can be top or most recent. NB: Threads returns only 10-20 posts at maximum per keyword. Run the API multiple times per day to get more posts.

API Pricing (per request): #returned_posts units


Try the API ```markdown ### Parameters - **name** (string, query, required): Keyword to search. - **sorting** (union, query, optional): The posts returned are TOP if sorting=0, or most RECENT if sorting=1 - **token** (string, query, required): Private token assigned to each client to access the APIs. ### Responses #### 200 - Successful Response #### 422 - Validation Error **HTTPValidationError** - **detail** (array (ValidationError)) Array items: - **loc** (array (union)) (required) - **msg** (string) (required) - **type** (string) (required) #### 491 - Token not found **HTTPStatusResponse** - **detail** (string) (required) #### 492 - Email not verified **HTTPStatusResponse** - **detail** (string) (required) #### 493 - Subscription expired **HTTPStatusResponse** - **detail** (string) (required) #### 495 - All daily units used **HTTPStatusResponse** - **detail** (string) (required) #### 500 - Something went wrong **HTTPStatusResponse** - **detail** (string) (required) ### Example Usage ```bash curl -X GET "https://ensembledata.com/apis//threads/keyword/search?name=string&sorting=0&token=string" ``` ``` -------------------------------- ### GET /tt/user/followers Source: https://ensembledata.com/apis/openapi.json

Fetch followers for a given user. Each request returns a chunk of 100 followers. See the `cursor` query parameter below for information on how to manage pagination (fetch more followers). Tiktok returns in total the 10,000 most recent followers. Note: if the `secUid` doesn't exists, the cost is just 1 unit.

API Pricing (per request): 2 units

API usage examples

- secUid does not exist:
-> null returned.
Cost: 1 unit - secUid exists and has 40 followers:
-> 40 followers returned.
Cost: 2 units - secUid exists and has more than 100 followers:
-> 100 followers and cursor for next request returned.
Cost: 2 units
Try the API ```markdown ### Parameters - **id** (string, query, required): The id of the user. - **secUid** (string, query, required): The secondary id of the user. - **cursor** (integer, query, optional): Parameter to manually handle pagination. Each response contains a `nextCursor` which can be used to retrieve the next page of results by sending it as the next `cursor`. If the `nextCursor` is not present in the response, it means that there are no more results to retrieve. - **page_token** (string, query, optional): Secondary cursor to manage pagination (initially empty). The `page_token` for next request is returned by the previous response as the `nextPageToken`. This works in the same way as the `cursor` parameter. - **token** (string, query, required): Private token assigned to each client to access the APIs. ### Responses #### 200 - Successful Response #### 422 - Validation Error **HTTPValidationError** - **detail** (array (ValidationError)) Array items: - **loc** (array (union)) (required) - **msg** (string) (required) - **type** (string) (required) #### 491 - Token not found **HTTPStatusResponse** - **detail** (string) (required) #### 492 - Email not verified **HTTPStatusResponse** - **detail** (string) (required) #### 493 - Subscription expired **HTTPStatusResponse** - **detail** (string) (required) #### 495 - All daily units used **HTTPStatusResponse** - **detail** (string) (required) #### 500 - Something went wrong **HTTPStatusResponse** - **detail** (string) (required) ### Example Usage ```bash curl -X GET "https://ensembledata.com/apis//tt/user/followers?id=string&secUid=string&cursor=0&page_token=&token=string" ``` ``` -------------------------------- ### GET /threads/user/search Source: https://ensembledata.com/apis/openapi.json

Find users matching a given input string.

API Pricing (per request): 4 units


Try the API ```markdown ### Parameters - **name** (string, query, required): Name of the user to search. - **token** (string, query, required): Private token assigned to each client to access the APIs. ### Responses #### 200 - Successful Response #### 422 - Validation Error **HTTPValidationError** - **detail** (array (ValidationError)) Array items: - **loc** (array (union)) (required) - **msg** (string) (required) - **type** (string) (required) #### 491 - Token not found **HTTPStatusResponse** - **detail** (string) (required) #### 492 - Email not verified **HTTPStatusResponse** - **detail** (string) (required) #### 493 - Subscription expired **HTTPStatusResponse** - **detail** (string) (required) #### 495 - All daily units used **HTTPStatusResponse** - **detail** (string) (required) #### 500 - Something went wrong **HTTPStatusResponse** - **detail** (string) (required) ### Example Usage ```bash curl -X GET "https://ensembledata.com/apis//threads/user/search?name=string&token=string" ``` ``` -------------------------------- ### GET /reddit/keyword/search Source: https://ensembledata.com/apis/openapi.json

Fetch posts from a given keyword with chosen filters

API Pricing (per request): 2 units


Try the API ```markdown ### Parameters - **name** (string, query, required): Keyword to search - **sort** (union, query, required): Type of posts to fetch - **period** (union, query, required): Time filter - **cursor** (string, query, required) - **token** (string, query, required): Private token assigned to each client to access the APIs. ### Responses #### 200 - Successful Response #### 422 - Validation Error **HTTPValidationError** - **detail** (array (ValidationError)) Array items: - **loc** (array (union)) (required) - **msg** (string) (required) - **type** (string) (required) #### 491 - Token not found **HTTPStatusResponse** - **detail** (string) (required) #### 492 - Email not verified **HTTPStatusResponse** - **detail** (string) (required) #### 493 - Subscription expired **HTTPStatusResponse** - **detail** (string) (required) #### 495 - All daily units used **HTTPStatusResponse** - **detail** (string) (required) #### 500 - Something went wrong **HTTPStatusResponse** - **detail** (string) (required) ### Example Usage ```bash curl -X GET "https://ensembledata.com/apis//reddit/keyword/search?name=string&sort=value&period=value&cursor=string&token=string" ``` ``` -------------------------------- ### GET /tt/post/info Source: https://ensembledata.com/apis/openapi.json

Fetch post information and statistics from URL.

API Pricing (per request): 2 units


Try the API ```markdown ### Parameters - **url** (string, query, required): The url of the post containing the username and video ID. You should be able to copy this value directly from the search bar in your browser. - **token** (string, query, required): Private token assigned to each client to access the APIs. - **new_version** (boolean, query, optional): Set to True to enable an alternate version of the TikTok API that returns only the essential fields, resulting in a faster response. - **download_video** (boolean, query, optional): When new_version=True, set this parameter to True to have the API include the cookie_download field within the video object, which is required for downloading content via the play or download URLs. This will NOT consume more units. ### Responses #### 200 - Successful Response #### 422 - Validation Error **HTTPValidationError** - **detail** (array (ValidationError)) Array items: - **loc** (array (union)) (required) - **msg** (string) (required) - **type** (string) (required) #### 462 - Invalid url **HTTPStatusResponse** - **detail** (string) (required) #### 491 - Token not found **HTTPStatusResponse** - **detail** (string) (required) #### 492 - Email not verified **HTTPStatusResponse** - **detail** (string) (required) #### 493 - Subscription expired **HTTPStatusResponse** - **detail** (string) (required) #### 495 - All daily units used **HTTPStatusResponse** - **detail** (string) (required) #### 500 - Something went wrong **HTTPStatusResponse** - **detail** (string) (required) ### Example Usage ```bash curl -X GET "https://ensembledata.com/apis//tt/post/info?url=string&token=string&new_version=false&download_video=false" ``` ``` -------------------------------- ### GET /instagram/search Source: https://ensembledata.com/apis/openapi.json

Fetch users, places and hashtags information from text.

API Pricing (per request): 4 units


Try the API ```markdown ### Parameters - **text** (string, query, required): Text to search. - **token** (string, query, required): Private token assigned to each client to access the APIs. ### Responses #### 200 - Successful Response #### 422 - Validation Error **HTTPValidationError** - **detail** (array (ValidationError)) Array items: - **loc** (array (union)) (required) - **msg** (string) (required) - **type** (string) (required) #### 491 - Token not found **HTTPStatusResponse** - **detail** (string) (required) #### 492 - Email not verified **HTTPStatusResponse** - **detail** (string) (required) #### 493 - Subscription expired **HTTPStatusResponse** - **detail** (string) (required) #### 495 - All daily units used **HTTPStatusResponse** - **detail** (string) (required) #### 500 - Something went wrong **HTTPStatusResponse** - **detail** (string) (required) ### Example Usage ```bash curl -X GET "https://ensembledata.com/apis//instagram/search?text=string&token=string" ``` ``` -------------------------------- ### GET /twitter/user/info Source: https://ensembledata.com/apis/openapi.json

Get information of a user.

API Pricing (per request): 2 units


Try the API ```markdown ### Parameters - **name** (string, query, required): Username. - **token** (string, query, required): Private token assigned to each client to access the APIs. ### Responses #### 200 - Successful Response #### 422 - Validation Error **HTTPValidationError** - **detail** (array (ValidationError)) Array items: - **loc** (array (union)) (required) - **msg** (string) (required) - **type** (string) (required) #### 491 - Token not found **HTTPStatusResponse** - **detail** (string) (required) #### 492 - Email not verified **HTTPStatusResponse** - **detail** (string) (required) #### 493 - Subscription expired **HTTPStatusResponse** - **detail** (string) (required) #### 495 - All daily units used **HTTPStatusResponse** - **detail** (string) (required) #### 500 - Something went wrong **HTTPStatusResponse** - **detail** (string) (required) ### Example Usage ```bash curl -X GET "https://ensembledata.com/apis//twitter/user/info?name=string&token=string" ``` ```